Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113569 - pam_wrapper: FTBFS in Fedora rawhide/f37
Summary: pam_wrapper: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pam_wrapper
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Schneider
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-02 00:01 UTC by Fedora Release Engineering
Modified: 2023-07-31 11:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-31 11:28:24 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-02 00:01 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-02 00:01 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-02 00:01 UTC, Fedora Release Engineering
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FC-558 0 None None None 2022-08-02 00:07:28 UTC

Description Fedora Release Engineering 2022-08-02 00:01:01 UTC
pam_wrapper failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89841867


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix pam_wrapper at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
pam_wrapper will be orphaned. Before branching of Fedora 38,
pam_wrapper will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-02 00:01:04 UTC
Created attachment 1902129 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-08-02 00:01:05 UTC
Created attachment 1902130 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-02 00:01:07 UTC
Created attachment 1902131 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:31:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Jakub Jelen 2023-01-03 14:24:40 UTC
Seems like a simple rebuild in rawhide solves this issue (tried in mock). But I do not have access to this package to do the rebuild. Andreas/Jakub, can you add me to the package or rebuild it so we can close this bug?

Comment 6 Fedora Admin user for bugzilla script actions 2023-07-21 00:06:41 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 7 Jakub Jelen 2023-07-31 11:28:24 UTC
All recent builds and rebuilds over the last year look ok so lets close this one.

https://koji.fedoraproject.org/koji/packageinfo?packageID=21832


Note You need to log in before you can comment on or make changes to this bug.